Skip to main content
POST
/
watchers
Create a watcher
curl --request POST \
  --url https://borough.qwady.app/v1/watchers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "watchType": "listing",
  "listingId": "<string>",
  "buildingId": "<string>",
  "searchFilters": {},
  "pollInterval": 900
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "watchType": "listing",
    "targetId": "<string>",
    "pollInterval": 123,
    "active": true,
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Polar.sh license key. Format: BOROUGH-<uuid>

Body

application/json
watchType
enum<string>
required
Available options:
listing,
building,
search
listingId
string
buildingId
string
searchFilters
object
pollInterval
integer
default:900

Seconds between polls. Min 300 (Business), 60 (Internal). Default 900.

Response

Watcher created

data
object